import * as React from 'react';
import { OutputDescriptor } from 'tsp-typescript-client/lib/models/output-descriptor';
import { Experiment } from 'tsp-typescript-client/lib/models/experiment';
import { ITspClientProvider } from 'traceviewer-base/lib/tsp-client-provider';
export interface ReactAvailableViewsProps {
    id: string;
    title: string;
    tspClientProvider: ITspClientProvider;
    contextMenuRenderer?: (event: React.MouseEvent<HTMLDivElement>, output: OutputDescriptor) => void;
}
export interface ReactAvailableViewsState {
    availableOutputDescriptors: OutputDescriptor[];
}
export declare class ReactAvailableViewsWidget extends React.Component<ReactAvailableViewsProps, ReactAvailableViewsState> {
    private _selectedExperiment;
    private _experimentManager;
    private _onExperimentSelected;
    private _onExperimentClosed;
    constructor(props: ReactAvailableViewsProps);
    componentWillUnmount(): void;
    render(): React.ReactNode;
    protected handleOutputClicked: (outputDescriptor: OutputDescriptor) => void;
    protected handleContextMenuEvent: (e: React.MouseEvent<HTMLDivElement>, output: OutputDescriptor | undefined) => void;
    private doHandleOutputClicked;
    protected doHandleContextMenuEvent(event: React.MouseEvent<HTMLDivElement>, output: OutputDescriptor | undefined): void;
    protected doHandleExperimentSelectedSignal(experiment: Experiment | undefined): void;
    protected doHandleExperimentClosedSignal(experiment: Experiment | undefined): void;
    protected updateAvailableViews: () => Promise<void>;
    protected doUpdateAvailableViews(): Promise<void>;
    protected getOutputDescriptors(experiment: Experiment): Promise<OutputDescriptor[]>;
}
//# sourceMappingURL=trace-explorer-views-widget.d.ts.map